set(CMAKE_TOOLCHAIN_FILE cmake/ArduinoToolchain.cmake) # Arduino Toolchain

cmake_minimum_required(VERSION 2.8)
#====================================================================#
#  Setup Project                                                     #
#====================================================================#
project(WeatherStation C CXX)

set(ARDUINO_DEFAULT_BOARD  uno)
set(ARDUINO_DEFAULT_PORT   /dev/ttyUSB0)
set(ARDUINO_DEFAULT_SERIAL "picocom @INPUT_PORT@ -b 9600 -l")

#link_directories(${CMAKE_CURRENT_SOURCE_DIR}/../libraries)

generate_arduino_firmware(WeatherStationLogger
      SKETCH WeatherStationLogger)

generate_arduino_firmware(WeatherStationWeb
      SKETCH WeatherStationWeb
      BOARD uno
      PORT /dev/ttyUSB1
      SERIAL "picocom @INPUT_PORT@ -b 9600 -l")
